function [rfit,n1,n2,n3,k1,k2,k3]=disp_model_wrap_triclinic(coef,p)
% disp_model_wrap_triclinic: wrapper for dispersion model to be used for
% iterative fitting of dispersion parameters

% calls: - dispersion_model_triclinic
%        - fresnel_triclinic

N=(length(coef)-6)./5;
if ~isint(N) 
  error('disp_model_wrap_oblique: bad length for coefficient list!');
end

nu=coef(1:N);
gamm=coef(N+(1:N));
Sk=coef(2.*N+(1:N));
phi=coef(3.*N+(1:N));
theta=coef(4.*N+(1:N));
epsilxx=coef(5.*N+1);
epsilxy=coef(5.*N+2);
epsilxz=coef(5.*N+3);
epsilyy=coef(5.*N+4);
epsilyz=coef(5.*N+5);
epsilzz=coef(5.*N+6);

%{
% write oscillator parameters to file 'new_param_values.txt')
fid = fopen('param_values.txt','r');
i = 1;
tline = fgetl(fid);
temp_params{i} = tline;
while ischar(tline)
    i = i+1;
    tline = fgetl(fid);
    temp_params{i} = tline;
end
fclose(fid);
textformat=(repmat('%f,',1,N)); textformat=textformat(1:length(textformat)-1);
temp_params{3}=sprintf(textformat,coef(1:N));
temp_params{5}=sprintf(textformat,coef(N+(1:N)));
temp_params{7}=sprintf(textformat,coef(2.*N+(1:N)));
temp_params{9}=sprintf(textformat,coef(3.*N+(1:N)));
temp_params{11}=sprintf(textformat,coef(4.*N+(1:N)));
temp_params{13}=sprintf('%f',coef(5.*N+1));
temp_params{15}=sprintf('%f',coef(5.*N+2));
temp_params{17}=sprintf('%f',coef(5.*N+3));
temp_params{19}=sprintf('%f',coef(5.*N+4));
temp_params{21}=sprintf('%f',coef(5.*N+5));
temp_params{23}=sprintf('%f',coef(5.*N+6));

fid = fopen('new_param_values.txt', 'w');
fprintf(fid, '%s\n', temp_params{:});
fclose(fid);
%}
[n1,n2,n3,k1,k2,k3,e_xx,e_xy,e_xz,e_yy,e_yz,e_zz]=dispersion_model_triclinic(nu,gamm,Sk,phi,theta,epsilxx,epsilxy,epsilxz,epsilyy,epsilyz,epsilzz,p);
rfit=fresnel_triclinic(e_xx,e_xy,e_xz,e_yy,e_yz,e_zz,p);